<ion-header>
  <ion-toolbar color="new" class="header">
    <ion-buttons slot="start">
      <ion-button  routerLink="/">
        <ion-icon slot="icon-only" name="arrow-back-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title class="title">Editar datos</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content *ngFor="let item of credito">

    <ion-item>
      <ion-label position="floating">Nombre AC</ion-label>
      <ion-input class="ion-text-capitalize" [(ngModel)]="item.nombre_ac" uppercase [disabled]="inputDisabled"></ion-input>
    </ion-item>
    <div class="error-message" *ngIf="!item.nombre_ac">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-item>
      <ion-label position="floating">Clientes</ion-label>
      <ion-input type="number" [(ngModel)]="item.clientes" [disabled]="inputDisabled"></ion-input>
    </ion-item>
    <div class="error-message" *ngIf="!item.clientes">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-item>
      <ion-label position="stacked">Monto</ion-label>
      <ion-input type="number" [(ngModel)]="item.monto" [disabled]="inputDisabled"> </ion-input>
    </ion-item>
    <div class="error-message" *ngIf="!item.monto">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-item>
      <ion-label position="stacked">Banco</ion-label>
      <ion-select [(ngModel)]="item.idbanco" [disabled]="inputDisabled">
        <ion-select-option [value]="1">BBVA Bancomer</ion-select-option>
        <ion-select-option [value]="2">Banamex</ion-select-option>
      </ion-select>
    </ion-item>
    <div class="error-message" *ngIf="!item.idbanco">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-item>
      <ion-label position="stacked">Fecha desembolso</ion-label>
      <ion-datetime [(ngModel)]="item.fecha_desembolso" [disabled]="inputDisabled" displayFormat="DD/MM/YYYY"></ion-datetime>
    </ion-item>
    <div class="error-message" *ngIf="!item.fecha_desembolso">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-item>
      <ion-label position="stacked">Sucursal</ion-label>
      <ion-select [(ngModel)]="item.idsucursal" [disabled]="inputDisabled">
        <ion-select-option [value]="1">Xalapa</ion-select-option>
        <ion-select-option [value]="2">Teziutlán</ion-select-option>
        <ion-select-option [value]="3">Oaxaca</ion-select-option>
        <ion-select-option [value]="4">Puebla</ion-select-option>
      </ion-select>
    </ion-item>
    <div class="error-message" *ngIf="!item.idsucursal">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-item>
      <ion-label position="stacked">Regional</ion-label>
      <ion-select [(ngModel)]="item.idregional" [disabled]="inputDisabled">
        <ion-select-option [value]="1">Veracruz</ion-select-option>
        <ion-select-option [value]="2">Puebla</ion-select-option>
        <ion-select-option [value]="3">Oaxaca</ion-select-option>
      </ion-select>
    </ion-item>
    <div class="error-message" *ngIf="!item.idregional">
      <small><ion-text color="danger">Campo requerido</ion-text></small>
    </div>

    <ion-grid>
      <ion-row >
        <ion-col>
          <ion-button expand="block" color="warning" (click)="eidtCredit()" *ngIf="seenButtonEdit">Editar</ion-button>
          <ion-button expand="block" color="new" (click)="updateCredit(item)" *ngIf="seenButtonUpdate">Actualizar</ion-button>
        </ion-col>
        <ion-col >
          <ion-button expand="block" color="danger" [routerLink]="['/']">Cancelar</ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  
  {{ credito | json }}
  
</ion-content>
